%global dlrn 1
%define upstream_version 5.3.10
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name newton

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:       5.3.10
Release:       2%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:       https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.3.10
#
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0003: 0003-downstream-only-UpgradeInitCommand-update-to-switch-.patch
Patch0004: 0004-downstream-only-Retain-existing-ComputeHostnameForma.patch
Patch0005: 0005-downstream-only-configure-Horizon-to-point-on-OSP-do.patch
Patch0006: 0006-Composable-services-support-for-Cinder-Dell-EMC-PS-S.patch
Patch0007: 0007-Composable-service-support-for-Cinder-Dell-EMC-Stora.patch
Patch0008: 0008-Only-set-EnableConfigPurge-on-major-upgrades.patch
Patch0009: 0009-Configure-VNC-Server-listen-address-through-t-h-t.patch
Patch0010: 0010-Only-set-EnableConfigPurge-on-major-upgrades.patch
Patch0011: 0011-Add-special-case-upgrade-from-openvswitch-2.5.0-14.patch
Patch0012: 0012-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0013: 0013-Only-set-EnableConfigPurge-on-major-upgrades.patch
Patch0014: 0014-downstream-only-Remove-duplicate-lines-in-subscripti.patch
Patch0015: 0015-Reconfigure-interfaces-before-updating-openvswitch.patch
Patch0016: 0016-Add-support-for-Cinder-NAS-secure-driver-params.patch
Patch0017: 0017-Dell-SC-Add-secondary-DSM-support.patch
Patch0018: 0018-Dell-SC-Add-exclude_domain_ip-option.patch
Patch0019: 0019-Cleanup-cinder-paste-configuration-for-ssl.patch
Patch0020: 0020-Reconfigure-interfaces-before-updating-openvswitch.patch
Patch0021: 0021-Add-ignore_projects-to-filter-gnocchi-events.patch
Patch0022: 0022-Change-the-project-to-service.patch
Patch0023: 0023-Add-special-case-upgrade-from-openvswitch-2.5.0-14.patch
Patch0024: 0024-Reconfigure-interfaces-before-updating-openvswitch.patch
Patch0025: 0025-Add-ignore_projects-to-filter-gnocchi-events.patch
Patch0026: 0026-downstream-only-Fix-UpgradeInitCommand-for-switching.patch
Patch0027: 0027-Maintain-ceph-osd-package-only-on-nodes-hosting-Ceph.patch
Patch0028: 0028-Align-HCI-environment-file-with-list-of-services-fro.patch
Patch0029: 0029-downstream-only-environments-document-OSP-deployment.patch
Patch0030: 0030-Fix-Heat-condition-for-RHEL-registration-yum-update.patch
Patch0031: 0031-Add-support-for-Dell-EMC-VMAX-ISCSI-Backend.patch
Patch0032: 0032-Fix-the-dellemc-vmax-to-use-the-correct-hiera-name.patch
Patch0033: 0033-Fix-deploying-Dell-PS-and-SC-Cinder-backends.patch
Patch0034: 0034-CVE-2018-1000115-memcached-restrict-to-TCP-internal_.patch
Patch0035: 0035-Work-around-packaging-issue-in-iptables-services.patch
Patch0036: 0036-rhel-registration-update-template-version.patch
Patch0037: 0037-Include-database-in-the-default-event-dispatchers.patch
Patch0038: 0038-Add-support-for-configuring-Cinder-db-purge-cron-job.patch
Patch0039: 0039-Zuul-Remove-project-name.patch
Patch0040: 0040-Removes-manila-generic-config-from-TripleO.patch
Patch0041: 0041-Fix-networking-settings-for-ObjectStorage-role-pt-2.patch
Patch0042: 0042-Add-reno-for-manila-generic-driver-removal.patch
Patch0043: 0043-Configure-qemu-group-setting-as-hugetlbfs-for-ovs-dp.patch
Patch0044: 0044-Configure-qemu-group-setting-as-hugetlbfs-for-ovs-dp.patch
Patch0045: 0045-Change-ovs-user-and-fix-permissions-on-ovs-upgrade.patch
Patch0046: 0046-Add-version-check-for-ovs-2.8-before-applying-perm-c.patch
Patch0047: 0047-downstream-only-Clean-up-Ceph-OSD-product-key.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires:      PyYAML
Requires:      openstack-%{upstream_name}

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Wed Apr 25 2018 Steve Linabery <slinaber@redhat.com> 5.3.10-2
- Update to 5.3.10 - bring in line with osp10 tht 5.3.10-2
- [downstream-only] Clean up Ceph OSD product key (rhbz#1571438)
- Add version check for ovs >= 2.8 before applying perm changes
- Change ovs user and fix permissions on ovs upgrade
- Configure qemu group setting as hugetlbfs for ovs-dpdk
- Configure qemu group setting as hugetlbfs for ovs-dpdk
- Add reno for manila generic driver removal
- Fix networking settings for ObjectStorage role pt 2 (rhbz#1539616)
- Removes manila-generic-config from TripleO
- Zuul: Remove project name
- Add support for configuring Cinder db purge cron job (rhbz#1562996)
- Include database in the default event dispatchers (rhbz#1559093)
- rhel-registration: update template version (rhbz#1547091)
- Work around packaging issue in iptables-services.
- [CVE-2018-1000115] memcached: restrict to TCP & internal_api network (rhbz#1551836)
- Fix deploying Dell PS and SC Cinder backends (rhbz#1552980)
- Fix the dellemc vmax to use the correct hiera name (rhbz#1533602)
- Add support for Dell EMC VMAX ISCSI Backend (rhbz#1503896)
- Fix Heat condition for RHEL registration yum update (rhbz#1547091)
- [downstream-only] environments: document OSP deployments (rhbz#1538753)
- Align HCI environment file with list of services from roles_data
- Maintain ceph-osd package only on nodes hosting CephOSD service (rhbz#1405881)
- [downstream only] Fix UpgradeInitCommand for switching Ceph repos (rhbz#1405881)
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream only] UpgradeInitCommand update to switch Ceph repos (rhbz#1381241)
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1348188)

* Tue Jan 16 2018 Steve Linabery <slinaber@redhat.com> 5.3.8-1
- Update to 5.3.8

* Wed Nov 15 2017 Steve Linabery <slinaber@redhat.com> 5.3.3-1
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT
- [downstream only] UpgradeInitCommand for OSP
- [downstream only] UpgradeInitCommand update to switch Ceph repos
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream-only] configure Horizon to point on OSP doc
- Composable services support for Cinder Dell EMC PS Series
- Composable service support for Cinder Dell EMC Storage Center
- Only set EnableConfigPurge on major upgrades
- Configure VNC Server listen address through t-h-t
- Only set EnableConfigPurge on major upgrades
- Add special case upgrade from openvswitch 2.5.0-14
- [downstream only] UpgradeInitCommand for OSP
- Only set EnableConfigPurge on major upgrades
- [downstream only] Remove duplicate lines in subscription.
- Reconfigure interfaces before updating openvswitch
- Add support for Cinder "NAS secure" driver params
- Dell SC: Add secondary DSM support
- Dell SC: Add exclude_domain_ip option
- Cleanup cinder paste configuration for ssl.
- Reconfigure interfaces before updating openvswitch
- Add ignore_projects to filter gnocchi events
- Change the project to service
- Add special case upgrade from openvswitch 2.5.0-14
- Reconfigure interfaces before updating openvswitch
- Add ignore_projects to filter gnocchi events
- [downstream only] Fix UpgradeInitCommand for switching Ceph repos
- Maintain ceph-osd package only on nodes hosting CephOSD service
- Align HCI environment file with list of services from roles_data
- Correctly set DEFAULT/dhcp_domain to empty string.
- os-net-config not run when conf is empty and re-introduce exception.

* Wed Sep 27 2017 Jason Joyce <jjoyce@redhat.com> 5.3.0-5
- [newton only] Cinder services cleanup should happen when mysql is up
- Maintain ceph-osd package only on nodes hosting CephOSD service (rhbz#1405881)
- [downstream only] Fix UpgradeInitCommand for switching Ceph repos (rhbz#1405881)
- Fix rpms being installed via DeployArtifactURLs
- Workaround for RHEL registration as "localhost"
- Don't disable satellite repo after registration

* Mon Aug 21 2017 Jason Joyce <jjoyce@redhat.com> 5.3.0-4
- [NEWTON-ONLY] Ignore Ceph healt warning states by default
- Adjust for new pcs output.
- Modifying Cisco templates to support composable roles
- Revert "Use optimal (instead of default) tunables for Ceph on upgrade"
- Use optimal (instead of default) tunables for Ceph on upgrade
- Adds check for existing yum process during the legacy minor update
- Disable network validation in multinode jobs
- cisco nexus: keep OVS on the Compute
- Ensure nova migration package is installed during minor update
- Fixes incorrect glance api network
- Expose events ttl for ceilometer
- Addition of firewall rules for Nuage
- SSH known_hosts config
- Disable ComputeNeutron* for cisco-nexus-ucsm
- Ensure yum cache is ready before update (rhbz#1458841 rhbz#1472343)
- Remove ceilometer from swift middleware pipeline (rhbz#1468225)
- Run token flush cron job hourly by default (rhbz#1469457)
- Cleanup cinder paste configuration for ssl.
- Dell SC: Add exclude_domain_ip option (rhbz#1440290)
- Dell SC: Add secondary DSM support (rhbz#1440290)
- [newton only] Ensure cinder services are cleanup during upgrade.
- Add support for Cinder "NAS secure" driver params (rhbz#1433404)
- Change the project to service (rhbz#1468225)
- Add ignore_projects to filter gnocchi events (rhbz#1468225)
- [Newton only] - Manually touch ssl.conf before installing mod_ssl
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream only] UpgradeInitCommand update to switch Ceph repos (rhbz#1381241)
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1348188)

* Thu Jul 27 2017 Mike Burns <mburns@redhat.com> 5.2.0-25
- Fix conntrack proto sctp module (rhbz#1470209)
- Expose metric delay processing metric (rhbz#1454939)

* Tue Jun 27 2017 Mike Burns <mburns@redhat.com> 5.2.0-20
- Reconfigure interfaces before updating openvswitch
- [downstream only] Remove duplicate lines in subscription.
- Enable arp_accept for all interfaces (rhbz#1457506)
- Only set EnableConfigPurge on major upgrades (rhbz#1421883)
- Add support for live migration over ssh (rhbz#1428241)
- Ensure AllNodesExtraConfig runs before AllNodesDeploySteps
- [NEWTON-ONLY] Fix Ceph upgrade from Hammer to Jewel >= 10.2.4
- Add special case upgrade from openvswitch 2.5.0-14
- Enables increasing mariadb open files for noha deployments
- Increase libvirt/qemu.conf max_files and max_processes
- Only set EnableConfigPurge on major upgrades
- Add bindep support
- Make sure PrePuppet runs before any Deployment_Step
- Moved some variable definitions to global scope
- Make ServiceNetMap support custom network names
- Quote empty strings in manila netapp driver
- Remove ceph mds service from newton scenario 004
- Remove the openvswitch special case upgrade code
- Automatically backup and restore Swift rings from the undercloud
- Set manila default_share_type config option
- yum_update.sh - Use the yum parameter: check-update (rhbz#1440217)
- Re-Add bigswitch agent support (rhbz#1438893)
- Configure VNC Server listen address through t-h-t (rhbz#1431674)
- Update the Nova Endpoint information for Cinder (rhbz#1425968)
- Only set EnableConfigPurge on major upgrades (rhbz#1421883)
- Composable service support for Cinder Dell EMC Storage Center (rhbz#1430078)
- Composable services support for Cinder Dell EMC PS Series (rhbz#1430071)
- Pick dynamically the first node for stack validation (rhbz#1436387)
- Fixes multiple issues with retry function in rhel-registration. (rhbz#1314480)
- Use --disable= in subscription-manager to avoid shell expansion. (rhbz#1314480)
- Adds http proxy support for registering RHEL overcloud nodes (rhbz#1314480)
- Add retry to RHEL registration (rhbz#1314480)
- Disable all repos during rhel registration (rhbz#1314480)
- Deploy NTP with puppet-tripleo profile (rhbz#1430833)
- Fix for AllNodesExtraConfig and fix environment files to create swap files/partitions (rhbz#1415103)
- [Newton-only] Enable services in the major-upgrade-pacemaker step
- [Newton only] - Manually touch ssl.conf before installing mod_ssl
- Add NovaLibvirtNetwork (rhbz#1448062)
- [M->N] Ensure mod_ssl is installed during upgrade. (rhbz#1441982)
- Touch /etc/httpd/conf.d/ssl.conf (rhbz#1441982)
- Ignore systemctl return code in yum_update.sh (rhbz#1414779 rhbz#1416228)
- Install openstack-nova-migration during minor update of OSP10
- [9->10] Add openstack-nova-migration to compute (rhbz#1428241)
- Add support for live migration over ssh (rhbz#1428241)

* Fri Mar 17 2017 Mike Burns <mburns@redhat.com> 5.2.0-7
- scenario001/newton: deploy cinder with rbd backend
- Deploy CI scenarios with Pacemaker
- multinode_major_upgrade: enable Pacemaker
- Update ci environment for multinode jobs to support Ceph
- multinode/upgrade: add nova services to environment
- Synchronize NetworkDeployment inputs for generic roles
- backport multinode_major_upgrade.yaml environment
- Add missing TripleO services to ci/multinode
- Run online_data_migrations during minor updates.
- Add new environment for debug
- net-config-multinode: make controlplane int idempotent
- Remove Gemfile and Rakefile
- newton/scenario001: enable ceph
- Allow the override of pacemaker::corosync::settle_tries
- Allow to separate Horizon from Neutron
- ceph-rgw: add missing user parameter
- (newton) Import multinode + pingtest from tripleo-ci
- DB connection: prevent src address from binding to a VIP
- scenario001/pingtest: remove gnocchi_res_alarm
- Use df instead of findmnt in cephstorage upgrade scripts
- Fix bug when using multiple DeployArtifactURLs
- Disable exit on error for pacemaker commands for update flow
- Fix for AllNodesExtraConfig and fix environment files to create swap files/partitions (rhbz#1415103)
- Adds default Keystone region to regionOne
- Temporary UCSM mapping files should be opened with write mode (rhbz#1427712)
- Adding the ip_conntrack_proto_sctp kernel module (rhbz#1426912)
- Adds missing OpenDaylight username/password from ODL OVS service
- Adds missing firewall rules for OpenDaylight API service
- Setting networking-odl v2 as a mechanism driver
- Make the openvswitch 2.4->2.5 upgrade more robust
- Enables auto-detection for VIP interfaces
- [downstream-only] configure Horizon to point on OSP doc
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream only] UpgradeInitCommand update to switch Ceph repos (rhbz#1381241)
- [downstream only] UpgradeInitCommand for OSP (rhbz#1361177)
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1348188)

